case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting config.h (with variable substitutions)"
sed <<!GROK!THIS! >config.h -e 's!^#undef!/\*#define!' -e 's!^#un-def!#undef!'
/*
 * This file was produced by running the config_h.SH script, which
 * gets its values from config.sh, which is generally produced by
 * running Configure.
 *
 * Feel free to modify any of this as the need arises.  Note, however,
 * that running config.h.SH again will wipe out any changes you've made.
 * For a more permanent change edit config.sh and rerun config.h.SH.
 *
 * \$Id: Config_h.U,v 3.0.1.2 1993/08/24 12:13:20 ram Exp $
 */

/* Configuration time: $cf_time
 * Configured by: $cf_by
 * Target system: $myuname
 */

#ifndef _config_h_
#define _config_h_

/* getdtablesize:
 *	This catches use of the getdtablesize() subroutine, and remaps it
 *	to either ulimit(4,0) or NOFILE, if getdtablesize() isn't available.
 */
#$d_gettblsz getdtablesize() $tablesize	/**/

/* HAVECONST:
 *	This symbol, if defined, indicates that this C compiler knows about
 *	the const type. There is no need to actually test for that symbol
 *	within your programs. The mere use of the "const" keyword will
 *	trigger the necessary tests.
 */
#$d_const HAVECONST	/**/
#ifndef HAVECONST
#define const
#endif

/* HAVE_FD_MACROS:
 *	This symbol indicates (lack of) the macros used to manipulate an
 *	fd_set.
 */
#$d_fd_macros HAVE_FD_MACROS	/**/

/* HAVE_FLOCK:
 *	This symbol, if defined, indicates that the flock routine is
 *	available to do file locking.
 */
#$d_flock HAVE_FLOCK		/**/

/* HAVE_SIGBLOCK:
 *	This symbol, if defined, indicates that the sigblock routine is
 *	available to block signal reception.
 */
#$d_sigblock HAVE_SIGBLOCK	/**/

/* HAVE_VPRINTF:
 *	This symbol, if defined, indicates that the vprintf routine is available
 *	to printf with a pointer to an argument list.  If unavailable, you
 *	may need to write your own, probably in terms of _doprnt().
 */
#$d_vprintf HAVE_VPRINTF	/**/

/* I_STDARG:
 *	This symbol, if defined, indicates that <stdarg.h> exists and should
 *	be included.
 */
#$i_stdarg I_STDARG		/**/

/* ARCH:
 *	This symbol holds the machine architecture.
 */
/* OS:
 *	This symbol holds the current machine operating system.
 */
#define ARCH	"$arc"	/**/
#define OS	"$os"	/**/

/* USE_CUMULTIME:
 *	The one draw back to resource limits is that it is done on a per
 *	process - where batch jobs handlers ususally would like to restrict
 *	usage per batch job - to partially combat that, USE_CUMULTIME is
 *	provided to override the CPU time tracking of set/getrlimit with
 *	a scanning of the kernel so that CPU time is tracked for the entire
 *	job.  This also allows CPU time used to be displayed when baq is run.
 */
#$d_cumultime USE_CUMULTIME		/**/

/* getcwd:
 *	This symbol is maped to getwd if the getcwd() routine is not
 *	available to get the current working directory.
 */
/* HAVE_GETCWD:
 *	This symbol, if defined, indicates that the getcwd routine is
 *	available to do file locking.
 */
#$d_getcwd HAVE_GETCWD		/**/
#ifndef HAVE_GETCWD
#ifdef getcwd
#un-def getcwd
#endif
#define getcwd(x,y)	getwd(x)
#endif

/* HAVE_GETGROUPS:
 *	This symbol, if defined, indicates that the getgroups() routine is
 *	available to get the list of process groups.  If unavailable, multiple
 *	groups are probably not supported.
 */
#$d_getgrps HAVE_GETGROUPS		/**/

/* GRPTYPE:
 *	This symbol holds the type used to declare group types in initgroups.
 *	It can be int, ushort, gid_t, etc...
 */
#define GRPTYPE $grptype		/* group type */

/* HAVE_H_ERRLIST:
 *	This symbol, if defined, indicates that the h_errlist array is
 *	available to translate error numbers to strings. The extern int
 *	h_nerr gives the size of that table.
 */
#$d_herrlst HAVE_H_ERRLIST	/**/

/* HAVE_BSDSIGNALS:
 *	This symbol is defined if signal handlers dont need to be
 *	reinstated after receipt of a signal.
 */
#$d_keepsig HAVE_BSDSIGNALS	/**/

/* HAVE_LOCKF:
 *	This symbol, if defined, indicates that the lockf routine is
 *	available to do file locking.
 */
#$d_lockf HAVE_LOCKF		/**/

/* memcpy:
 *	This symbol is maped to bcopy if the memcpy() routine is not
 *	available to set memory to 0.
 */
/* HAVE_MEMCPY:
 *	This symbol, if defined, indicates that the memcpy routine is
 *	available to copy blocks of memory.
 */
#$d_memcpy HAVE_MEMCPY	/**/
#ifndef HAVE_MEMCPY
#ifdef memcpy
#un-def memcpy
#endif
#define memcpy(x, y, len)	bcopy((y), (x), (len))
#endif

/* memset:
 *	This symbol is maped to bzero if the memset() routine is not
 *	available to set memory to 0.
 */
/* HAVE_MEMSET:
 *	This symbol, if defined, indicates that the memset routine is
 *	available to set blocks of memory.
 */
#$d_memset HAVE_MEMSET	/**/
#ifndef HAVE_MEMSET
#ifdef memset
#un-def memset
#endif
#define memset(x, y, len)	bzero((x), (len))
#endif

/* HAVE_PIDCHECK:
 *	This symbol, if defined, means that the kill(pid, 0) will
 *	check for an active pid (i.e. the kernel will run all the
 *	necessary pid checks, but no signal is actually sent).
 */
#$d_pidcheck HAVE_PIDCHECK		/**/

/* HAVE_PROCFS:
 *	This symbols, if defined, indicates the existence of the process
 *	filesystem header and structure definitions
 */
/* PROCFS:
 *	This symbols, if defined, indicates the name of the procfs mount.
 */
#$d_procfs HAVE_PROCFS 	/**/
#ifdef HAVE_PROCFS
#define PROCFS	"$procfs"	/**/
#endif

/* HAVE_RLIMIT:
 *	This symbol, if defined, indicates that the rlimit routines are
 *	available to get and set process resource limitis.
 *	Inclusion of <sys/resource.h> and <sys/time.h> will be necessary.
 */
#$d_rlimit HAVE_RLIMIT		/**/

/* HAVE_SCHEDCTL:
 *	This symbol, if defined, indicates that the schedctl() routine
 *	exists.
 */
#$d_schedctl HAVE_SCHEDCTL		/**/

/* HAVE_BSDPGRP:
 *	This symbol, if defined, indicates that the BSD notion of process
 *	group is to be used. For instance, you have to say setpgrp(pid, pgrp)
 *	instead of the USG setpgrp().
 */
#$d_bsdpgrp HAVE_BSDPGRP		/**/

/* HAVE_SETSID:
 *	This symbol, if defined, indicates that the setsid() routine is
 *	available to set process groups and  detach from the controlling
 *	tty.  This is the POSIX version of setpgrp(0, 0) + TIONOTTY.
 */
#$d_setsid HAVE_SETSID		/**/

/* HAVE_SYS_SIGLIST:
 *	This symbol, if defined, indicates that the sys_siglist array is
 *	available to translate signal numbers to strings.
 */
#$d_siglist HAVE_SYS_SIGLIST		/**/

/* HAVE_SYSMP:
 *	This symbol, if defined, indicates that the sysmp() routine
 *	exists. This routine manipulates several multiprocessor
 *	access commands.
 */
#$d_sysmp HAVE_SYSMP		/**/

/* SIGRTN:
 *	This symbol's value is either "void" or "int", corresponding to the
 *	appropriate return type of a signal handler.  Thus, you can declare
 *	a signal handler using "SIGRTN (*handler)()", and define the
 *	handler using "SIGRTN handler(sig)".
 */
#define SIGRTN $signal_t	/* Signal handler's return type */

/* HAVE_WAIT_T:
 *	This symbols, if defined, indicates the existence of the typedef
 *	or structure definition wait_t.
 */
#$d_wait_t HAVE_WAIT_T 	/**/
#ifndef HAVE_WAIT_T
typedef union wait wait_t;
#endif

/* USE_WRITED:
 *	This symbol, if defined, indicates that the writed program is
 *	available to send remote writes to hosts.
 */
#$d_writed USE_WRITED		/**/

/* GIDTYPE:
 *	This symbol holds the type used to declare user ids in the kernel.
 *	It can be int, ushort, uid_t, etc... It may be necessary to include
 *	<sys/types.h> to get any typedef'ed information.
 */
#define GIDTYPE $gidtype		/* Type for getgid(), etc... */

/* H_STRING:
 *	This symbol, if defined, holds the string file to include.
 *	<string.h> in USG systems, and <strings.h> in BSD systems.
 */
#define H_STRING	$h_string	/**/

/* I_SELECT:
 *	This symbol, if defined, indicates to the C program that it should
 *	include <sys/select.h> in order to get prototype for select().
 */
/* H_SELECT:
 *	This symbol, if defined, indicates where select.h is located.
 */
#$i_sysselct I_SELECT			/**/
#$i_sysselct H_SELECT	$h_sysselct	/**/

/* PIDTYPE:
 *	This symbol holds the type used to declare process ids in the kernel.
 *	It can be int, uint, pid_t, etc... It may be necessary to include
 *	<sys/types.h> to get any typedef'ed information.
 */
#define PIDTYPE $pidtype		/* PID type */

/* CAN_PROTOTYPE:
 *	If defined, this macro indicates that the C compiler can handle
 *	function prototypes.
 */
/* P:
 *	This macro is used to declare function parameters for folks who want
 *	to make declarations with prototypes.  Use double parentheses.
 *	For example:
 *
 *		int main P((int argc, char *argv[]));
 */
#$prototype	CAN_PROTOTYPE	/**/
#if defined(CAN_PROTOTYPE)
#define	P(args) args
#else
#define	P(args) ()
#endif

/* UIDTYPE:
 *	This symbol holds the type used to declare user ids in the kernel.
 *	It can be int, ushort, uid_t, etc... It may be necessary to include
 *	<sys/types.h> to get any typedef'ed information.
 */
#define UIDTYPE $uidtype		/* UID type */

/* CAN_VAPROTO:
 *	This variable is defined on systems supporting prototype declaration
 *	of functions with a variable number of arguments.
 */
/* V:
 *	This macro is used to declare function parameters in prototypes for
 *	functions with a variable number of parameters. Use double parentheses.
 *	For example:
 *
 *		int printf V((char *fmt, ...));
 *
 *	Remember to use the plain simple P() macro when declaring a function
 *	with no variable number of arguments, since it might be possible to
 *	have a non-effect V() macro and still get prototypes via P().
 */
#$vaproto CAN_VAPROTO	/**/
#if defined(CAN_VAPROTO)
#define	V(args) args
#else
#define	V(args) ()
#endif

/* VOIDFLAGS:
 *	This symbol indicates how much support of the void type is given by this
 *	compiler.  What various bits mean:
 *
 *	    1 = supports declaration of void
 *	    2 = supports arrays of pointers to functions returning void
 *	    4 = supports comparisons between pointers to void functions and
 *		    addresses of void functions
 *	    8 = suports declaration of generic void pointers
 *
 *	The package designer should define VOIDUSED to indicate the requirements
 *	of the package.  This can be done either by #defining VOIDUSED before
 *	including config.h, or by defining defvoidused in Myinit.U.  If the
 *	latter approach is taken, only those flags will be tested.  If the
 *	level of void support necessary is not present, defines void to int.
 */
#ifndef VOIDUSED
#define VOIDUSED $defvoidused
#endif
#define VOIDFLAGS $voidflags
#if (VOIDFLAGS & VOIDUSED) != VOIDUSED
#define void	int		/* is void to be avoided? */
typedef char *	voidp;
#define M_VOID			/* Xenix strikes again */
#else
typedef void *	voidp;
#endif

#endif
!GROK!THIS!
