case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting doc/Makefile (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >Makefile <<!GROK!THIS!
#
# \$Id: Makefile.SH,v 4.0 1993/09/17 00:07:42 srp Exp srp $
#
# Makefile for TeXinfo documentation on the batch package
#
# Shell that make uses to run scripts
SHELL	=	/bin/sh

.PRECIOUS:	batchref batchref.ps batchusr batchusr.ps

.SUFFIXES: .ps .dvi .texi

.dvi.ps:
	dvips -o \$@ \$?

# texindex ignores all files is does not understand.
.texi.dvi:
	-tex \$?; texindex \$*.??; tex \$?

.texi.ps:
	-tex \$?; texindex \$*.??; tex \$?
	dvips -o \$@ \$*.dvi
	/bin/rm -f \$*.dvi

# This is a little confusing but...
# If makeinfo exists, it will be specified as a full path by Configure
# If not, Configure comes back with a simple "makeinfo"
# If makeinfo does not exist, we don't want to try to make the documents,
# and accidently overwrite them, so only execute the default rules if
# makeinfo can be found.

MAKEINFO	= $makeinfo

INFODIR		= $installinfo

# end of configurables
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'

INSTALL		= ../install -c
INSTALL_DATA	= $(INSTALL) -m 664

TARGETS = batchusr batchref
PSDOCS	= batchusr.ps batchref.ps

all:	$(TARGETS) $(PSDOCS)

batchusr: batchusr.texi
	@if [ x"$(MAKEINFO)" != x"makeinfo" ]; then \
		echo "	$(MAKEINFO) $?" ; \
		$(MAKEINFO) $? ; \
	fi

batchref: batchref.texi
	@if [ x"$(MAKEINFO)" != x"makeinfo" ]; then \
		echo "	$(MAKEINFO) $?" ; \
		$(MAKEINFO) $? ; \
	fi

install: $(TARGETS)
	@if [ x"$(INFODIR)" != x"" ]; then \
		echo "	installing in $(INFODIR)..."
		$(INSTALL_DATA) $(TARGETS) $(INFODIR) ; \
	fi

print: $(PSDOCS)
	lpr -h $(PSDOCS)

depend:

clean:
	/bin/rm -f batchusr.[cfkptv][gnpry] batchusr.[cfkptv][gnpry]s 
	/bin/rm -f batchusr.log batchusr.aux batchusr.toc batchusr.dvi*
	/bin/rm -f batchref.[cfkptv][gnpry] batchref.[cfkptv][gnpry]s 
	/bin/rm -f batchref.log batchref.aux batchref.toc batchref.dvi*

clobber: clean
	/bin/rm -f $(TARGETS) $(PSDOCS)

.PHONY:		all install depend clean clobber

!NO!SUBS!
chmod 755 Makefile
$eunicefix Makefile
