case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting extra/Makefile (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >Makefile <<!GROK!THIS!
#
# \$Id: Makefile.SH,v 4.0 1993/09/17 00:34:39 srp Exp srp $
#
# Makefile for extra batch programs.
# SGI /bin/make does not understand the VPATH correctly, however, SGI pmake
# and gnu make parse and use VPATH correctly.
#
# Shell that make uses to run scripts
SHELL	=	/bin/sh

SRC	=	../src
VPATH 	=	.:\$(SRC)

# C compiler (maybe gcc?)
CC	=	$cc

# Make depend (maybe makedepend?)
MKDEP =		$mkdep

OPTS	=	$optimize
DEFS	=	$ccflags
INCS	=	-I.. -I\$(SRC)
CFLAGS	=	\$(OPTS) \$(DEFS) \$(INCS)

LDFLAGS	=	\$(OPTS) $ldflags

LIBS	=	$libs

# end of configurables
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'


ALLSRC	= 	babid.c cfscan.c \
		$(SRC)/error.c \
		$(SRC)/emalloc.c \
		$(SRC)/request.c $(SRC)/reply.c \
		$(SRC)/batchcap.c $(SRC)/global.c $(SRC)/getsocket.c \
		$(SRC)/util.c $(SRC)/vprintf.c $(SRC)/emalloc.c

ERROR	=	error.o
MALLOC	=	emalloc.o
REQUEST	=	request.o reply.o
COMMON	=	batchcap.o global.o getsocket.o util.o vprintf.o $(MALLOC)

BABID	=	babid.o $(COMMON) $(REQUEST) $(ERROR)

CFSCAN	=	cfscan.o

TARGETS	=	babid cfscan

all:	$(TARGETS)

babid:	$(BABID) 
	$(CC) $(LDFLAGS) -o $@ $(BABID) $(LIBS)
	
cfscan: $(CFSCAN)
	$(CC) $(LDFLAGS) -o $@ $(CFSCAN) $(LIBS)

depend:
	(sed '/^# DO NOT DELETE/q' Makefile && \
		$(MKDEP) $(DPFLAGS) -- $(ALLSRC) ) > Makefile.new
	mv Makefile Makefile.bak
	mv Makefile.new Makefile
	rm -f Makefile.new

clean:
	/bin/rm -f *.o a.out core

clobber: clean
	/bin/rm -f $(TARGETS)

.PHONY:		all install depend clean clobber

# Dependencies generated by make depend
# DO NOT DELETE THIS LINE -- make depend relies on it

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
