/*
 * Crude program to scan cf or kf files from batch daemon.
 */
#include <stdio.h>
#include <sys/types.h>

main(argc, argv)
int argc;
char *argv[];
{

	FILE *cfp;
	time_t date;
	char to[80];
	char class;
	char line[80];
	int pid;
	int sig;
		
	
	if ((cfp = fopen(argv[1], "r")) == NULL) {
		perror("fopen");
		exit(0);
	}
	
	while (fscanf(cfp, "%c%[^\n]\n", &class, line) == 2) {

		switch(class) {
		case 'a':	/* Start *a*t time */
			if (strchr(line, '/') || strchr(line, '%')) {
				printf("Delayed start on: %s", line);
			} else  {
				date = atol(line);
				printf("Delayed start time: %s", ctime(&date));
			}
			break;
		case 'c':	/* Create time for the job */
		        date = atol(line);
			printf("Job create time: %s", ctime(&date));
			break;
		case 'D':	/* *D*irectory */
			printf("Working Directory: %s\n",line);
			break;
		case 'f':
			printf("Processor to run on: %s\n", atoi(line));
			break;
		case 'R':	/* *R*emote host */
			printf("Remote host: %s\n", line);
			break;
		case 'u':
			printf("Uid: %d\n", atoi(line));
			break;
		case 'U':
			printf("User: %s\n", line);
			break;
		case 'g':
			printf("Gid: %d\n", atoi(line));
			break;
		case 'G':
			printf("Group: %s\n", line);
			break;
		case 'O':	/* *O*utput file */
			printf("Output file: %s\n", line);
			break;
		case 'E':	/* *E*rror file */
			printf("Error file: %s\n", line);
			break;
		case 'm':	/* Mail arguments */
			printf("Mail flags are %o\n", atoi(line));
			break;
		case 'M':	/* *M*ail address */
			printf("Mail address: %s\n", line);
			break;
		case 'J':	/* Symbolic *J*ob name */
			printf("Job name: %s\n", line);
			break;
		case 'S':	/* Re*S*tart */
			printf("Job should restart if the queue allows\n");
			break;
#ifdef ndef
		case 'L':	/* *L*ocal */
			printf("Job is to stay on the localhost\n");
			break;
#endif
		case 'T':
			sscanf(line, "%s %d %d %ld", to, &pid, &sig, &date);
			printf("Transfered to %-16.16s pid:%-6d at %s",
			       to, pid, ctime(&date));
			break;
		case 'P':
			sscanf(line, "%s %d %d %ld", to, &pid, &sig, &date);
			printf("Started on %-16.16s pid:%-6d at %s",
			       to, pid, ctime(&date));
			break;
		case 'K':
			sscanf(line, "%s %d %d %ld", to, &pid, &sig, &date);
			printf("Modified: %-10.10s pid:%-6d at %s",
			       to, pid, ctime(&date));
			break;
		default:
			break;

		}
	}

	(void) fclose(cfp);

	return 0;
}
