case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting gui.forms/Makefile (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >Makefile <<!GROK!THIS!
#
# \$Id: Makefile.SH,v 4.0 1993/09/17 00:35:43 srp Exp srp $
#
# Makefile for forms GUI for batch programs.
# SGI /bin/make does not understand the VPATH correctly, however, SGI pmake
# and gnu make parse and use VPATH correctly.
#
# Shell that make uses to run scripts
SHELL	=	/bin/sh

SRC	=	../src
VPATH 	=	.:\$(SRC)

# C compiler (maybe gcc?)
CC =		$cc

# Final destination for the batch, barm and baq programs
BINDIR	=	$installbin

# Make depend... (makedepend?)
MKDEP =		$mkdep

#
# If not using reserve ports, the client modes don't have to have setuid,
# setgid is for writing/managing the spooling directories.	
# The daemon must allways be started as root.
#
# Name of the owner (for chown)
OWNER =		root

# Name of the daemon group (for chown)
GROUP =		daemon

INSTALL	=	../install -c
INSTALL_PROG =	\$(INSTALL) -o \$(OWNER) -g \$(GROUP) -m 4711

OPTS	=	$optimize
DEFS	=	$ccflags
INCS	=	-I.. -I\$(SRC)
CFLAGS	=	\$(OPTS) \$(DEFS) \$(INCS)

LDFLAGS	=	\$(OPTS) $ldflags

LIBS	=	-lforms -lgl_s -lfm_s $libs

# end of configurables
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'

ALLSRC	=	baview.c baviewform.c bacmds.c bacmdsform.c \
		$(SRC)/error.c \
		$(SRC)/emalloc.c \
		$(SRC)/request.c $(SRC)/reply.c \
		$(SRC)/batchcap.c $(SRC)/global.c $(SRC)/getsocket.c \
		$(SRC)/util.c $(SRC)/vprintf.c $(SRC)/emalloc.c

ERROR	=	error.o
MALLOC	=	emalloc.o
REQUEST	=	request.o reply.o
COMMON	=	batchcap.o global.o getsocket.o util.o vprintf.o $(MALLOC)

BAVIEW	=	baview.o baviewform.o groups.o request.o $(COMMON) $(ERROR)

BACMDS	=	bacmds.o bacmdform.o groups.o request.o $(COMMON) $(ERROR)

TARGETS	=	baview bacmds

all:	baview 

baview:	$(BAVIEW)
	$(CC) $(LDFLAGS) -o $@ $(BAVIEW) $(LIBS)

bacmds:	$(BACMDS)
	$(CC) $(LDFLAGS) -o $@ $(BACMDS) $(LIBS)

install: $(BINDIR)/baview

$(BINDIR)/baview: baview
	$(INSTALL_PROG) $? $@

depend:
	(sed '/^# DO NOT DELETE/q' Makefile && \
		$(MKDEP) $(DPFLAGS) -- $(ALLSRC) ) > Makefile.new
	mv Makefile Makefile.bak
	mv Makefile.new Makefile
	rm -f Makefile.new

clean:
	/bin/rm -f *.o a.out core

clobber: clean
	/bin/rm -f $(TARGETS)

.PHONY:		all install depend clean clobber

# Dependencies generated by make depend
# DO NOT DELETE THIS LINE -- make depend relies on it

!NO!SUBS!
chmod 755 Makefile
$eunicefix Makefile
