case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting man/Makefile (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >Makefile <<!GROK!THIS!
#
# \$Id: Makefile.SH,v 4.0 1993/09/17 00:06:51 srp Exp srp $
#
# Makefile for batch package manual pages.
#

SHELL		= /bin/sh

.PRECIOUS:	batch.man baq.man barm.man bac.man batchd.man

.SUFFIXES:	.man .8 .5 .1

# This is a little confusing but...
# If nroff exists, it will be specified as a full path by Configure
# If not, Configure comes back with a simple "nroff"
# If nroff does not exist, we don't want to try to make the manual pages,
# and accidently overwrite them, so only execute the default rules if
# nroff can be found.

NROFF		= $nroff

.1.man:
	@if [ x"\$(NROFF)" != x"nroff" ]; then \\
		echo "	$(NROFF) -man \$< > \$@" ; \\
		$(NROFF) -man \$< > \$@ ; \\
	fi

.5.man:
	@if [ x"\$(NROFF)" != x"nroff" ]; then \\
		echo "	$(NROFF) -man \$< > \$@" ; \\
		$(NROFF) -man \$< > \$@ ; \\
	fi

.8.man:
	@if [ x"\$(NROFF)" != x"nroff" ]; then \\
		echo "	$(NROFF) -man \$< > \$@" ; \\
		$(NROFF) -man \$< > \$@ ; \\
	fi

MANSRC		= $installmansrc


# end of configurables
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'

INSTALL		= ../install -c
INSTALL_DATA	= $(INSTALL) -m 664

PAGE1	= batch.1 barm.1 baq.1
PAGE5	= batchcap.5
PAGE8	= batchd.8 bac.8

SRCPAGES= $(PAGE1) $(PAGE5) $(PAGE8)

TARGETS	= batch.man barm.man baq.man batchcap.man batchd.man bac.man

all:	$(TARGETS)

install: 
	@if [ x"$(MANSRC)" != x"" ]; then \
		echo "	installing in $(MANSRC)..."
		$(INSTALL_DATA) $(PAGE1) $(MANSRC)/man1 ; \
		$(INSTALL_DATA) $(PAGE5) $(MANSRC)/man5 ; \
		$(INSTALL_DATA) $(PAGE8) $(MANSRC)/man8 ; \
	fi

depend:

clean:

clobber: clean
	/bin/rm -f $(TARGETS)

.PHONY:		all install depend clean clobber

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
