#! /bin/csh -f
#
# Set up the spooling directories of a printer or a batch system.
# argument1 is the file to scan for "sd."  "Sd" must be on a line by
# itself in that file.
#
if ($#argv != 1) then
	echo "usage: $0 [batchcap file]"
	exit 1
endif
#
set dirs=`sed -n -e 's,[ 	].*:sd=\([a-z/].*\):\\,\1,p' $1`
#
# The following setup depends on batchd and batch being set gid to
# the group of $grp, mode 664 is used to make the files writable by 
# that group.
#
# batchd, baq and barm run suid=root beacuse of remote connections.
#
# Otherwise you can make the files owner=root and group=anything and
# mode=6XX and not worry about it.
#
# 

set root=root
set owner=daemon
set grp=daemon

foreach dir ($dirs)
	echo $dir...
	# Make the directory; change the modes so daemons can write.
	mkdir $dir >& /dev/null
	chown $owner $dir
	chgrp $grp $dir
	chmod 775 $dir
	# Make the files; status will be written by group (batchd sub-daemons)
	touch $dir/status
	chown $owner $dir/status
	chgrp $grp $dir/status
	chmod 664 $dir/status
	touch $dir/lock
	chown $owner $dir/lock
	chgrp $grp $dir/lock
	chmod 664 $dir/lock
	# Make the .seq file
	echo 1 > $dir/.seq
	chown $owner $dir/.seq
	chown $grp $dir/.seq
	chmod 664 $dir/.seq
	# Make the error files
	touch /usr/local/adm/$dir:t-errs
	chmod 644 /usr/local/adm/$dir:t-errs
	# Make the error files
	touch /usr/local/adm/$dir:t-acct
	chmod 644 /usr/local/adm/$dir:t-acct
end
