case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting src/batch.sh (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >batch.sh <<!GROK!THIS!
$startsh
#
# Start or stop the batch daemon scheduler
# srp@babar.mmwb.ucsf.edu Wed Feb 28 07:56:22 PST 1990
#
# \$Id: batch.sh.SH,v 4.0 1993/09/17 00:42:25 srp Exp srp $

CONFIG=/etc/config

TOOLDIR=$installetc
SPOOLDIR=$installspool

if /etc/chkconfig batchd; then :
else
	exit
fi

if /etc/chkconfig verbose ; then	# For a verbose startup and shutdown
    ECHO=echo
    VERBOSE=-v
else				# For a quiet startup and shutdown
    ECHO=:
    VERBOSE=
fi

case "\$1" in
'start')
    \$ECHO "Batch job control daemon: \c"

    if test ! -p /dev/log; then
	echo " "
	echo "\tbatch: syslogd is not running, /dev/log does not exist"
	exit 255
    fi

    if test ! -r \$TOOLDIR/batchcap; then
	echo " "
	echo "\tbatchd: no \$TOOLDIR/batchcap, cannot use batch job control"
	exit 255
    fi

    if test ! -x \$TOOLDIR/batchd; then
	echo " "
	echo "\tbatchd: no \$TOOLDIR/batchd, cannot use batch job control"
	exit 255
    fi

    \$TOOLDIR/batchd \`cat \$CONFIG/batchd.options 2> /dev/null\` > /dev/null 2>&1
    \$ECHO "batchd."
    ;;

'stop')

    /etc/killall -INT batchd
    rm -f \$SPOOLDIR/batchd.lock
    ;;

*)
    echo "usage: \$0 {start|stop}"
    ;;
esac
!GROK!THIS!
chmod 755 batch.sh
$eunicefix batch.sh
