/*
 * $Id: bid.h,v 4.0 1993/09/17 00:41:04 srp Exp srp $
 */

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

typedef struct	bidinfo_t	Bidinfo;
typedef struct	hostinfo_t	Hostinfo;

typedef struct packet_t Bidpacket;


struct hostinfo_t {
	qelem	hi_hosts;	/* Linked list of remote hosts to track */
	qelem	hi_bids;	/* Linked list of bids for this host */
	char *	hi_name;	/* Name of this host */
	u_long	hi_addr;	/* Host address */
	time_t	hi_stamp;	/* Last time this host was updated */
	double	hi_loadave[3];	/* Latest load averages for the hosts */
};


struct bidinfo_t {
	qelem	bi_bids;	/* Linked list of bids */
	char *	bi_name;	/* Name of the queue */
	double	bi_bid;		/* The numerical bid */
	time_t	bi_stamp;	/* Time the bid was made */
	int	bi_count;	/* Number of times a bid has been received */
};

struct packet_t {
	char	bp_name[MAXQUEUENAMELEN];	/* Queuename */
	time_t 	bp_boot;	/* Machine Boot time */
	time_t	bp_start;	/* Daemon Start time */
	time_t	bp_stamp;	/* Current time */
	double	bp_loadave[3];	/* Avenrun */
	double	bp_bid;		/* Bid */
};


extern int 	bid_send P((char *, Queue *, time_t, int));
extern int 	bid_receive P((char *, Bidpacket *, time_t));
extern double	bid_calculate P((Queue *));
extern char *	bid_lowest P((Queue *));
