#ifndef lint
static char rcsid[] =
	"$Id: cmdtab.c,v 4.0 1993/09/17 00:41:04 srp Exp srp $";
#endif

/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Berkeley.  The name of the
 * University may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef lint
static char sccsid[] = "@(#)cmdtab.c	5.3 (Berkeley) 6/30/88";
#endif /* not lint */

/*
 * bac -- command tables.
 * This code is derivative of the cmdtab.c for lpc.
 * The copyrights for that code have been retained, they are still in effect.
 */

#include "config.h"

#include "bac.h"

char	aborthelp[] =	"terminate running jobs and disable executions";
char	cleanhelp[] =	"remove cruft files from a queue";
char	clobberhelp[] =	"remove all files from a queue";
char	continuehelp[] =	"enable submission and continue running jobs in a queue";
char	enablehelp[] =	"enable submission to a queue";
char	disablehelp[] =	"disable submission to a queue";
char	drainhelp[] =	"disable submission and drain running jobs in a queue";
char	downhelp[] =	"disable both submission and execution in a queue";
char	helphelp[] =	"get help on commands";
char	kickhelp[] =	"send the batchd daemon an alarm signal";
char	quithelp[] =	"exit bac";
char	starthelp[] =	"enable execution in a queue";
char	statushelp[] =	"show status of the queue(s)";
char	stophelp[] =	"disable execution in a queue";
char	topqhelp[] =	"force a job to the top of the queue";
char	uphelp[] =	"enable both submission and execution in a queue";

struct cmd cmdtab[] = {
	{ "abort",	aborthelp,	doabort,	1 },
	{ "clean",	cleanhelp,	clean,		0 },
	{ "clobber",	clobberhelp,	clobber,	1 },
	{ "continue",	continuehelp,	continu,	1 },
	{ "enable",	enablehelp,	enable,		1 },
	{ "exit",	quithelp,	quit,		0 },
	{ "disable",	disablehelp,	disable,	1 },
	{ "drain",	drainhelp,	drain,		1 },
	{ "down",	downhelp,	down,		1 },
	{ "help",	helphelp,	help,		0 },
        { "kick",	kickhelp,	kick,		0 },
	{ "quit",	quithelp,	quit,		0 },
	{ "start",	starthelp,	start,		1 },
	{ "status",	statushelp,	status,		0 },
	{ "stop",	stophelp,	stop,		1 },
	{ "topq",	topqhelp,	topq,		1 },
	{ "up",		uphelp,		up,		1 },
	{ "?",		helphelp,	help,		0 },
	{ 0 },
};

int	NCMDS = sizeof (cmdtab) / sizeof (cmdtab[0]);
