#ifndef lint
static char rcsid[] =
	"$Id: emalloc.c,v 4.0 1993/09/17 00:41:39 srp Exp srp $";
#endif

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#if defined(MALLOC_TRACE) || defined(MALLOC_LEAK)
#include "dmalloc.h"
#else
#include <malloc.h>
#endif

#include <sys/types.h>
#include <sys/param.h>

#include "config.h"

#include H_STRING

#include "batch.h"

#ifndef MALLOC_TRACE

static char *	nomem = "%s: no memory for %u bytes";

/*
 * Error checking arena allocation routines and string duplication.
 */
voidp
emalloc(size)
unsigned int	size;
{

	voidp	ptr;


	if ((ptr = malloc(size)) == NULL)
		blog(BLOG_FATAL, nomem, "emalloc", size);

	return ptr;
}


voidp
ecalloc(count, size)
unsigned int	count, size;
{

	voidp	ptr;


	if ((ptr = calloc(count, size)) == NULL)
		blog(BLOG_FATAL, nomem, "ecalloc", count * size);

	return ptr;
}


char *
estrdup(src)
char *	src;
{

	char *	dest;
	unsigned int	size = strlen(src);

	if ((dest = (char *) malloc(size + 1)) == NULL)
		blog(BLOG_FATAL, nomem, "estrdup", size);
		
	if (strcpy(dest, src) == NULL)
		blog(BLOG_FATAL, "estrdup: strcpy fails");

	return dest;
}

void
efree(ptr)
voidp	ptr;
{

	if (ptr != NULL) {
		free((voidp) ptr);
	}

	return;
}

#endif /* MALLOC_TRACE */
