#ifndef lint
static char rcsid[] =
	"$Id: error.c,v 4.0 1993/09/17 00:41:39 srp Exp srp $";
#endif

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

#include <stdio.h>
#include <errno.h>

#include <syslog.h>

#include <sys/types.h>
#include <sys/param.h>

#include "config.h"

#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
#include <stdarg.h>
#else
#include <varargs.h>
#endif

#include H_STRING

#include "batch.h"

void	expand_error P((char *, char *));

/* VARARGS */
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)

void
blog(int lvl, char *fmt, ...)

#else

void
blog(lvl, fmt, va_alist)
int	lvl;
char *	fmt;
va_dcl

#endif
{


	char	nfmt[LINE];
 	char *	cp;
	va_list	args;


	/*
	 * Fire up the variable argument mechanism.
	 */
	/*CONSTCOND*/
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
	va_start(args, fmt);
#else
	va_start(args);
#endif

	/*
	 * if progname is set, extract the tail of the path to use as
	 * the name of the program, and print the argument.
	 */
	if ( progname ) {
		if ((cp = strrchr(progname, '/')) != NULL)
			cp++;
		else
			cp = progname;
		(void) fprintf(stderr, "%s: ", cp);
	}

	expand_error(fmt, nfmt);

	/*
	 * Print using the varaible argument fprintf function
	 */
	(void) vfprintf(stderr, nfmt, args);

	/*
	 * Terminate with a newline.
	 */
	(void) fputs("\n", stderr);

	/*
	 * Shut down the variable argument mechanism.
	 */
	va_end(args);

	return ;
}

/*VARARGS*/
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)

void
printsf(int lvl, char *fmt, ...)

#else

void
printsf(lvl, fmt, va_alist)
int	lvl;
char *	fmt;
va_dcl

#endif /* __STDC__ */
{

	va_list	args;


	/*
	 * Fire up the variable argument mechanism.
	 */
	/*CONSTCOND*/
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
	va_start(args, fmt);
#else
	va_start(args);
#endif

	/*
	 * Print using the varaible argument fprintf function
	 */
	(void) vfprintf(stdout, fmt, args);

	/*
	 * Terminate with a newline.
	 */
	(void) fputc('\n', stdout);

	(void) fflush(stdout);

	/*
	 * Shut down the variable argument mechanism.
	 */
	va_end(args);

	return;
}


void
usage(use)
char *	use[];
{

	if (*use != NULL) {
		(void) fprintf(stderr, "\nusage:\t%s\n\n", *use);
		while (*++use != NULL)
			(void) fprintf(stderr, "\t%s\n", *use);
		(void) fprintf(stderr, "\n");
	}

	return;

}
