/*
 * $Id: event.h,v 4.0 1993/09/17 00:41:39 srp Exp srp $
 */

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

/*
 * Event structure header.
 */


typedef struct event_t Event;

struct event_t {
	qelem	e_events;		/* Linked list of events */
	void   (*e_funcp)();		/* ptr to a func returning void */
	voidp	e_argsp;		/* ptr to an argument */
	time_t	e_time;			/* Time at which to execute */
	char *	e_desc;			/* Description */
	int	e_id;			/* Identification number */
};


extern time_t	event_next P((void));
extern int	event_add P((time_t in, void (*funcp)V(()),
			     voidp argsp, char *desc));
extern int	event_remove P((int id));
extern void	event_dump P((void (*func)V((int, char *, ...)), int lvl));
extern time_t	event_time P((int eday, int ehour));
