/*
 * $Id: flags.h,v 4.0 1993/09/17 00:41:39 srp Exp srp $
 */

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

/*
 * Flag definitions for the batch job control system.
 */

#define INTERNAL	0770000	/* Completely internal flag */
#define EXTERNAL	0007777 /* Completely external flag */

#define CLEAR		0000000	/* NO STATUS: Queue is cleared */

#define RUNNING		0000001	/* Queue's jobs are in active/running state */
#define QUEUING		0000002	/* Queue's jobs can be queued */
#define DEAD		0000004	/* Queue is completely dead */

#define SUSPEND		0000010	/* Queue's jobs are stopped beacuse of load */
#define INTERRUPT	0000020	/* Queue's jobs are stopped for interactive */
#define STOPPED		0000040 /* Queue has been stopped by outside */

#define TIMEIN		0000100	/* Queue is within it's time limits */
#define TIMEOUT		0000200	/* Queue is not within it's time limits */
#define TIMEIMM		0000400	/* Queue runs all hours - not used */
#define ANYCONS		0000400	/* Queue stopped for any console loging */

#define WAITING		0001000	/* Jobs are not queued 'cause of load */
#define DISABLED	0004000 /* Queue is disabled by outside */

#define DRAINING	0010000	/* Queue cannot queue jobs, */
				/* but running jobs can finish */
#define ABORTING	0020000	/* Queue's jobs are to be killed */

#define	DRAINED		0100000	/* Finished Draining */
#define ABORTED		0200000	/* Finished aborting */

#define RESET		0400000	/* Queue is in the initial (newborn) state */

/* No current running status; (must be one of the below) */
#define ANYRUN		(INTERRUPT | SUSPEND | TIMEOUT | STOPPED | RUNNING)
#define ANYSUB		(WAITING | DISABLED | QUEUING)

#define queue_set_flag(qp,act)		((qp)->q_state |= (act))
#define queue_get_flag(qp,act)		(!((qp)->q_state & (act)))
#define queue_clr_flag(qp,act)		((qp)->q_state &= (~act))
