#ifndef lint
static char rcsid[] =
	"$Id: global.c,v 4.0 1993/09/17 00:41:39 srp Exp srp $";
#endif

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/param.h>
#include <sys/stat.h>

#include "config.h"
#include "batch.h"
#include "pathnames.h"

/*
 * Standard globals
 */
char	lhost[MAXHOSTNAMELEN];	       	/* Local hostname */
char	shost[MAXHOSTNAMELEN];		/* Short hostname */

char *	progname;			/* Program name */

int	remote_port;			/* Internet port to listen on */
int	local_port;			/* Local (machine) port to listen on */
Bool	iamdaemon = FALSE;		/* Identifier */

char	line[LINE];			/* Random data holder */
char	line2[LINE];			/* Random data holder */
char	home[MAXPATHLEN];		/* Home directory */

#ifdef USE_LOCALBUF
char	iobuf[BUFSIZ];			/* General I/O buffer */
char	rciobuf[BUFSIZ];		/* Resource file I/O buffer */
#endif

struct stat	stbuf;			/* Status buffer */

char *	localhost =	_DEF_HOST;	
char *	batchhosts =	_PATH_BHOSTS;

char *	service = _SERVICE;
char *	tcp =	"tcp";
char *	udp =	"udp";

char *	yes	= "yes";
char *	no	= "no";
char *	all	= "all";
char *	unk	= "<unknown>";

/* Global error messages associated with port reading and writing */
char esock[] = "cannot create socket: (%m)";
char eserv[] = "cannot find service %s";

/* Global protocol error messages */
char elost[] = "%s lost connection";
char ewrit[] = "bad write on %d for %s";
char erecv[] = "received unknown message %o";
char enotq[] = "queue %s: unknown";

/* System error messages */
char elock[] = "cannot lock %s: (%m)";
char efork[] = "cannot fork %s: (%m)";
char eopen[] = "cannot open %s: (%m)";
char efdop[] = "cannot fdopen %s: (%m)";
char estat[] = "cannot stat %s: (%m)";
char eunlk[] = "cannot unlink %s: (%m)";
char echmo[] = "cannot chmod %s: (%m)";
char echow[] = "cannot chown %s: (%m)";
char egetd[] = "cannot get current working directory: (%m)";
char echad[] = "cannot chdir to %s (%m)";
char epent[] = "cannot find passwd entry for %s (%m)";
char egent[] = "cannot find groups entry for %s (%m)";
char epid[]  = "cannot find passwd entry for pid %d (%m)";
char egid[]  = "cannot find groups entry for gid %d (%m)";
char edup[]  = "cannot dup to descriptor %d (%m)";
char ekill[] = "cannot kill queue %s: pid:%d, kill:%d (%m)";
char eaddr[] = "cannot resolve address for host %s: %h";

char ques[]  = "%s: %s";
char quesr[]  = "%s: %s: (%m)";

char quej[]  = "%s: job %d: %s";
char quejr[]  = "%s: job %d: %s: (%m)";
