case $CONFIG in
'')
	if test -f config.sh; then TOP=.;
	elif test -f ../config.sh; then TOP=..;
	elif test -f ../../config.sh; then TOP=../..;
	elif test -f ../../../config.sh; then TOP=../../..;
	elif test -f ../../../../config.sh; then TOP=../../../..;
	else
		echo "Can't find config.sh."; exit 1
	fi
	. $TOP/config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting src/pathnames.h (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >pathnames.h <<!GROK!THIS!
/*
 * \$Id: pathnames.h.SH,v 4.0 1993/09/17 00:42:25 srp Exp srp $
 */

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

/*
 * Service names in /etc/services
 */
#define _SERVICE	"$service"

/*
 *  Some default capabilities for the queues
 */
#define	_DEF_QUEUE	"$defqueue"
#define	_DEF_SPOOL	"$installspool/$defqueue"

#define _DEF_HOST	"localhost"

#define _DEF_LOCK	"lock"
#define _DEF_STAT	"status"
#define _DEF_ACCT	"batchd-acct"
#define _DEF_ERR	"batchd-err"

/*
 * Path definitions for the batch job control system.
 */

#define	_PATH_TTY	"/dev/tty"
#define	_PATH_DEVNULL	"/dev/null"

#define	_PATH_LOG	"/usr/tmp/batchd.run"
#define	_PATH_STATS	"/usr/tmp/batchd.stats"
#define	_PATH_DB	"/usr/tmp/batchd.db"
#define _PATH_ERR	"/usr/tmp/batchd.err"

#define	_PATH_SENDMAIL	"$mailer"
#define _PATH_WRITE	"$write"

#define	_PATH_SOCKET	"/dev/$service"

#define	_PATH_EQUIV	"/etc/hosts.equiv"
#define _PATH_CONS	"/dev/console"
#define _PATH_SHELLS	"/etc/shells"	

#define _PATH_VMUNIX	"$kernel"

#define	_PATH_SWAP	"$swap"

#define	_PATH_KMEM	"$kmem"

#define	_PATH_MEM	"$mem"

#define	_PATH_ADMIN	"/usr/local/adm"

#define _PATH_PATHMAP	"$installetc/pathmap"

#define	_PATH_BHOSTS	"$installetc/hosts.batchd"
#define _PATH_CAPFILE	"$installetc/batchcap"

#define	_PATH_MASTLOCK	"$installspool/batchd.lock"

!GROK!THIS!
chmod 644 pathnames.h
$eunicefix pathnames.h
