/*
 * $Id: protocol.h,v 4.0 1993/09/17 00:41:39 srp Exp srp $
 */

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

/*
 * Communications protocol definitions for the batch job control system.
 */

#define ACK		'\000'	/* Acknowledge */

/* Commands */
#define QC_KICK		'\001'	/* Kick the queue */
#define QC_RECV		'\002'	/* Receive a job to queue */
#define QC_DISP		'\003'	/* Display the queue */
#define QC_REM		'\004'	/* Delete job */
#define QC_BID		'\005'	/* Get a host bid */
#define QC_STATS	'\006'	/* Get the general status of a queue */
#define QC_INFO		'\007'	/* Get information of a queue */

#define QC_FIRST	QC_KICK
#define QC_LAST		QC_STATS

#define QC_RECVCF	'\010'	/* Read a cf file */
#define QC_RECVDF	'\011'	/* Read a df file */
#define	QC_ABORT	'\012'	/* Abort transfer */
#define QC_DONE		'\013'	/* Job sucessfully received */
 
/* Replies */
#define QR_OK		'\020'	/* Queue is OK, will return information */
#define	QR_MT		'\021'	/* Queue is MT, will not return info */
#define QR_ENOENT	'\022'	/* Queue does not exist */
#define QR_ENOIMP	'\023'	/* Requested service is not implemented */
#define QR_EPERM	'\024'	/* Permission denied */
#define QR_EHPERM	'\025'	/* Host access denied */
#define QR_EAGAIN	'\026'	/* Temporary failure */

#define QR_REJCT	'\030'	/* Connection rejected */
#define QR_ERROR	'\031'	/* Send/Receive screwup */
#define QC_ERROR	'\031'	/* Send/Receive screwup */

#define	QR_FIRST	QR_OK
#define	QR_LAST		QR_ERROR


#define DISP_FMT	"%d ^%s^ ^%s^ %ld %ld %ld ^%s^ %ld %d %d"
#define DISP_SCAN	"%d ^%[^^]^ ^%[^^]^ %ld %ld %ld ^%[^^]^ %ld %d %d"
#define BID_FMT		"%lf %lf %lf %lf %ld"
#define STATS_FMT	"%ld %d %d %u"


#define ack()		((void) ewriteone(1, QR_OK))
#define aack()		((void) ewriteone(1, QR_EAGAIN))
#define eack()		((void) ewriteone(1, QR_EPERM))
#define nack()		((void) ewriteone(1, QR_ENOENT))
#define mack()		((void) ewriteone(1, QR_MT))
#define huh()		((void) ewriteone(1, QR_ENOIMP))
