#ifndef lint
static char rcsid[] =
	"$Id: status.c,v 4.0 1993/09/17 00:41:39 srp Exp srp $";
#endif

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <errno.h>
#include <fcntl.h>

#include <sys/types.h>
#include <sys/param.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/resource.h>

#include "config.h"

#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
#include <stdarg.h>
#else
#include <varargs.h>
#endif

#include H_STRING

#include "batch.h"
#include "batchd.h"
#include "flags.h"


/*
 * Write a message string into the status file.
 */
/*VARARGS*/
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)

void
queue_write_status(Queue *qp, char *fmt, ...)

#else

void
queue_write_status(qp, fmt, va_alist)
Queue *qp;
char *fmt;
va_dcl

#endif /* __STDC__ */
{

	va_list	args;
	int	sfd;

	/*
	 * Fire up the variable argument mechanism.
	 */
	/*CONSTCOND*/
#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
	va_start(args, fmt);
#else
	va_start(args);
#endif

	if ((sfd = open(qp->q_sname, (O_RDWR|O_TRUNC))) < 0) {
		blog(BLOG_ERR, eopen, qp->q_sname);
		return;
	}

#ifdef HAVE_LOCKF
	if (lockf(sfd, F_LOCK, 0L) < 0) {
#else
#ifdef HAVE_FLOCK
	if (flock(sfd, LOCK_EX) < 0) {
#endif /* HAVE_FLOCK */
#endif /* HAVE_LOCKF */
		blog(BLOG_ERR, elock, qp->q_sname);
		return;
	}

	(void) vsprintf(line, fmt, args);
	(void) ewrite(sfd, line, strlen(line), "writestatus()");

	(void) ewrite(sfd, ".\n", 2, (char *) NULL);
	(void) close(sfd);

	return ;
}
