#ifndef lint
static char rcsid[] =
	"$Id: vprintf.c,v 4.0 1993/09/17 00:42:25 srp Exp srp $";
#endif

/*
 *
 * Author: Scott R. Presnell
 *
 * Copyright (C) 1989, 1990, The Regents of the University of California
 *                     All Rights Reserved
 *
 * THE REGENTS OF THE UNIVERSITY OF CALIFORNIA MAKE NO REPRESENTATION OR
 * WARRANTIES WITH RESPECT TO THE CONTENTS HEREOF AND SPECIFICALLY DISCLAIM
 * ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
 * PURPOSE.
 *
 * Further, the Regents of the University of California reserve the right to
 * revise this software and/or documentation and to make changes from time
 * to time in the content hereof without obligation of the Regents of the
 * University of California to notify any person of such revision or change.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/param.h>

#include "config.h"

#if (defined(I_STDARG) && defined(CAN_VAPROTO)) || defined(__STDC__)
#include <stdarg.h>
#else
#include <varargs.h>
#endif

#include "batch.h"

#ifndef HAVE_VPRINTF

/* VARARGS1 */
int
vprintf(format, ap)
char *	format;
va_list	ap;
{
	return _doprnt(format, ap, stdout);
}

/* VARARGS2 */
int
vfprintf(f, format, ap)
FILE *	f;
char *	format;
va_list	ap;
{
	return _doprnt(format, ap, f);
}

/* VARARGS2 */
int
vsprintf(s, format, ap)
char *	s;
char *	format;
va_list	ap;
{
	FILE	f;
	int	i;

	f._cnt = BUFSIZ;
	f._ptr = s;
	f._base = NULL;
	f._bufsiz = 0;
	f._flag = _IOWRT|_IOSTRG;
	i = _doprnt(format, ap, &f);
	(void) putc('\0', &f);
	return i;
}
# endif
